Skip to main content
GET
Unusual Options Activity

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ticker_symbol
string

A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a -.

Example:

"AAPL,INTC"

sectors[]
enum<string>[]

An array of 1 or more sectors.

A singular sector.

Available options:
Basic Materials,
Communication Services,
Consumer Cyclical,
Consumer Defensive,
Energy,
Financial Services,
Healthcare,
Industrials,
Real Estate,
Technology,
Utilities
Example:
unusual
boolean

Whether to apply the unusual preset (volume>OI, OTM, DTE≤60, ask-side≥50%, premium≥$10k). Defaults to true for this endpoint; pass false to return the full screen.

min_premium
integer

The minimum total premium on the contract.

max_dte
integer

The maximum days to expiry.

issue_types[]
enum<string>[]

An array of 1 or more issue types.

A singular issue type.

Available options:
Common Stock,
ETF,
Index,
ADR
Example:
order
string

The field to order the results by.

order_direction
string

Whether to sort ascending or descending. Defaults to descending.

limit
integer

How many items to return. Defaults to 100. Max 200.

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

Response

ask_side_volume
integer

The amount of volume that happened on the ask side.

Ask side is defined as (ask + bid) / 2 < fill price.

Example:

119403

avg_price
string

The volume weighted average fill price of the contract.

Example:

"1.0465802437910297887119234370"

bid_side_volume
integer

The amount of volume that happened on the bid side.

Bid side is defined as (ask + bid) / 2 > fill price.

Example:

122789

chain_prev_close
string

The previous trading day's contract price.

Example:

"1.29"

close
string

The last fill on the contract.

Example:

"0.03"

cross_volume
integer

The amount of cross volume. Cross volume consists of all transaction that have the cross trade code.

Example:

0

er_time
enum<string>

The time when the earnings will be released.

Available options:
unknown,
afterhours,
premarket
Example:

"premarket"

expiry
string

The contract expiry date in ISO format.

Example:

"2023-12-22T00:00:00.000Z"

floor_volume
integer

The amount of floor volume. Floor volume consists of all transaction that have the floor trade code.

Example:

142

high
string

The highest fill on that contract.

Example:

"2.95"

last_fill
string

The last time there was a transaction for the given contract as UTC timestamp.

Example:

"2023-09-08T17:45:32.000Z"

low
string

The lowest fill on that contract.

Example:

"0.02"

mid_volume
integer

The amount of volume that happened in the middle of the ask and bid.

Mid is defined as (ask + bid) / 2 == fill price.

Example:

22707

multileg_volume
integer

The amount of volume that happened as part of a multileg trade with another contract. This can be spreads/rolls/condors/butterflies and more.

Example:

7486

next_earnings_date
string<date>

The next earnings date of the ticker. Null if either unknown as of now or if the ticker does not have any earnings such as an ETF

Example:

"2023-10-26T00:00:00.000Z"

no_side_volume
integer

The amount of volume that happened on no identifiable side. This can be late, out of sequence and/or cross transactions.

Example:

0

open
string

The first fill on that contract.

Example:

"0.92"

open_interest
integer

The open interest for the contract.

Example:

18680

option_symbol
string

The option symbol of the contract.

You can use the following regex to extract underlying ticker, option type, expiry & strike: ^(?<symbol>[\w]*)(?<expiry>(\d{2})(\d{2})(\d{2}))(?<type>[PC])(?<strike>\d{8})$

Keep in mind that the strike needs to be multiplied by 1,000.

option_type
enum<string>

The option type of the contract.

Available options:
call,
put
Example:

"call"

premium
string

The total option premium.

Example:

"27723806.00"

sector
enum<string>

The financial sector of the ticker. Empty if unknown or not applicable such as ETF/Index.

Available options:
Basic Materials,
Communication Services,
Consumer Cyclical,
Consumer Defensive,
Energy,
Financial Services,
Healthcare,
Industrials,
Real Estate,
Technology,
Utilities
Example:

"Technology"

stock_multi_leg_volume
integer

The amount of volume that happened as part of a stock transaction and possibly other option contracts. This can be covered calls and more.

Example:

52

stock_price
string

The close stock price of the ticker.

Example:

"182.91"

strike
string

The contract strike.

Example:

"375"

sweep_volume
integer

The amount of sweep volume. Sweep volume consists of all transaction that have the sweep trade code.

Example:

18260

ticker_vol
integer

The total amount of options volume for the given ticker.

total_ask_changes
integer

The total count of changes to the NBBO ask during that day's trading session.

Example:

165

total_bid_changes
integer

The total count of changes to the NBBO bid during that day's trading session.

Example:

28

trades
integer

The amount of transaction for this contract.

Example:

39690

volume
integer

The contract volume.

Example:

264899

Last modified on September 29, 2026